# COROSYNC-BLACKBOX

NAME
SYNOPSIS
DESCRIPTION
EXAMPLES
SEE ALSO
AUTHOR

## NAME

corosync-blackbox − Dump live "flight data" from the corosync "blackbox".

## SYNOPSIS

corosync-blackbox

## DESCRIPTION

corosync-blackbox Trigger corosync to write it’s "flight data" out to file and then run qb-blackbox which prints it out.

## EXAMPLES

Print the current "flight data".

$ corosync-blackbox
Starting replay: head [74205] tail [0]
rec=[1] Log Message=Corosync Cluster Engine (’1.2.1’): started and ready to provide service.
[...]
rec=[2607] Log Message=Delivering MCAST message with seq a to pending delivery queue
rec=[2608] Log Message=downlist received left_list: 2
rec=[2609] Log Message=chosen downlist from node r(0) ip(192.168.100.11)
Finishing replay: records found [2609]

## SEE ALSO

qb-blackbox(8), corosync-cmapctl(8)

## AUTHOR

Angus Salkeld